﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Legend 속성을 사용해 레전드 커스텀 위치 설정하기";

            this.tChart.Panel.Pen             = new ChartPen(Color.Black);
            this.tChart.Legend.CustomPosition = true;
            this.tChart.Legend.Left           = 20;
            this.tChart.Legend.Top            = 20;

            Pie pie = new Pie(this.tChart.Chart);

            pie.FillSampleValues(5);
        }

        #endregion
    }
}